org.richfaces.component

## Class UIGraphValidator

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractGraphValidator
      - - org.richfaces.component.UIGraphValidator

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIGraphValidator
      extends AbstractGraphValidator

  The <rich:graphValidator> component is used to wrap a set of input components related to one object. The object defined by the <rich:graphValidator> component can then be completely validated. The validation includes all object properties, even those which are not bound to the individual form components. Validation performed in this way allows for cross-field validation in complex forms.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIGraphValidator.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIGraphValidator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFamily()`
    `Class<?>[]` | `getGroups()` The list of fully-qualified names (FQNs) of classes determining bean-validation groups to be validated.
    `String` | `getSummary()` Message summary will be used in case in case of validation error when no other message is provided.
    `String` | `getType()` The validator-id of validator used to process validation of the provided bean (Default value: org.richfaces.BeanValidator)
    `Object` | `getValue()` Bean EL reference to be validated
    `void` | `setGroups(Class<?>[] groups)`
    `void` | `setSummary(String summary)`
    `void` | `setType(String type)`
    `void` | `setValue(Object value)`

    - ### Methods inherited from class org.richfaces.component.AbstractGraphValidator

      `createChildrenValidator, getValidatorState, processDecodes, processUpdates, processValidators`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIGraphValidator

          public UIGraphValidator()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### getGroups

          public Class<?>[] getGroups()

      Description copied from class: `AbstractGraphValidator`
      The list of fully-qualified names (FQNs) of classes determining bean-validation groups to be validated.
      Specified by:
        `getGroups` in class `AbstractGraphValidator`

    - #### setGroups

          public void setGroups(Class<?>[] groups)

      Specified by:
        `setGroups` in class `AbstractGraphValidator`

    - #### getSummary

          public String getSummary()

      Description copied from class: `AbstractGraphValidator`
      Message summary will be used in case in case of validation error when no other message is provided.
      Specified by:
        `getSummary` in class `AbstractGraphValidator`

    - #### setSummary

          public void setSummary(String summary)

      Specified by:
        `setSummary` in class `AbstractGraphValidator`

    - #### getType

          public String getType()

      Description copied from class: `AbstractGraphValidator`
      The validator-id of validator used to process validation of the provided bean (Default value: org.richfaces.BeanValidator)
      Specified by:
        `getType` in class `AbstractGraphValidator`

    - #### setType

          public void setType(String type)

      Specified by:
        `setType` in class `AbstractGraphValidator`

    - #### getValue

          public Object getValue()

      Description copied from class: `AbstractGraphValidator`
      Bean EL reference to be validated
      Specified by:
        `getValue` in class `AbstractGraphValidator`

    - #### setValue

          public void setValue(Object value)

      Specified by:
        `setValue` in class `AbstractGraphValidator`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.